#include "stdafx.h"

cFalling::cFalling(int _x, int _y, cProperties *_orig)
		: cWeapon(_x, _y, _orig, "MOVING")
{ 
}

cFalling::~cFalling()
{
}

int cFalling::control()
{
	if (explode)
		return FALSE;

	make_trail();
	
	cWeapon::control();
	
	bounce_on_boundaries();
	
	return !check_radial_hit_one(circle_bounds) && !in_water();
}
